﻿namespace anbs_cp.Extensions;

/// <summary>
/// Расширение Guid
/// </summary>
public static class GuidExtensions
{
    /// <summary>
    /// Проверяет Guid на пустоту
    /// </summary>
    /// <param name="g">Guid или null</param>
    /// <returns>Guid пуст (null) или равен Guid.Empty</returns>
    public static bool IsNullOrEmpty (this Guid? g) => g == null || g == Guid.Empty;

    /// <summary>
    /// Проверяет Guid на пустоту
    /// </summary>
    /// <param name="g">Guid</param>
    /// <returns>Guid пуст (null) или равен Guid.Empty</returns>
    public static bool IsNullOrEmpty (this Guid g) => g == Guid.Empty;
}